#blog .contenedor {
    display: flex;
    justify-content:center;
    flex-wrap: wrap; /* este flex... es para que las imagen se ponga una debajo del otro al reducir la pantalla */
   
}
#blog article {
    margin: 15px;
}

#blog img {
    width:100%;
    max-width:280px;
    
}

#blog h3, h4 {
    text-align: center;
}

#blog {
    padding-top: 2%;
    
}